Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.spell
Interface Dictionary

All Known Implementing Classes:
  LuceneDictionary, PlainTextDictionary

    public interface Dictionary

A simple interface representing a Dictionary. A Dictionary here is just a list of words.

Version:
  1.0

Method Summary
`Iterator` | `getWordsIterator()` Return all words present in the dictionary

Method Detail

### getWordsIterator

    Iterator getWordsIterator()

  Return all words present in the dictionary

  Returns:
    Iterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.